
Base Language - Bug #7204

method overload with dataset/temp-table parameters uses the index at the parameter signature

03/16/2023 06:23 AM - Constantin Asofiei

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#2 - 03/16/2023 06:24 AM - Constantin Asofiei

This class defines two m1 methods, and a single dataset parameter.  The temp-tables are the same, except tt1 has an index.

class oo.Foo:

   def temp-table tt1 field f1 as int index ix1 is unique f1.

   def temp-table tt2 field f1 as int.

   def dataset ds1 for tt1.

   def dataset ds2 for tt2.

  method protected void m1(input dataset ds1):

   end method.

   method protected void m1(input dataset ds2):

   end method.

end.

 

This shows that the parameter signature in case of dataset/temp-table needs to include the indexes, too, beside the fields.

#3 - 03/17/2023 05:35 AM - Constantin Asofiei

- Status changed from New to WIP

- Assignee set to Constantin Asofiei
#4 - 03/20/2023 03:03 PM - Constantin Asofiei

Another issue is that the index name must be part of the signature.

#5 - 03/21/2023 11:10 AM - Constantin Asofiei

- Status changed from WIP to Review

- % Done changed from 0 to 100

This is fixed in 7199a rev 14509.

#6 - 03/21/2023 03:29 PM - Greg Shah

Code Review Task Branch 7199a Revision 14509

In schema.g line 1073, please change the name of if to something that doesn't conflict with the Java keyword. It is too confusing.

Otherwise the changes are fine.

#7 - 03/22/2023 04:16 AM - Constantin Asofiei

Greg Shah wrote:

Code Review Task Branch 7199a Revision 14509

In schema.g line 1073, please change the name of if to something that doesn't conflict with the Java keyword. It is too confusing.

 

Fixed in 7199a/14514.

#8 - 03/22/2023 08:59 AM - Greg Shah

- Status changed from Review to Test

#9 - 03/24/2023 12:42 PM - Constantin Asofiei

7199a was merged to trunk rev 14514 and archived.

#10 - 03/27/2023 04:18 AM - Greg Shah

- Status changed from Test to Closed
